Summary:        Graphical tool to make photo collage posters
Name:           photocollage
Version:        1.3.0
Release:        1%{?dist}
Url:            https://github.com/adrienverge/PhotoCollage
License:        GPLv2+

Source0:        http://adrienverge.fedorapeople.org/packages/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  python3-distutils-extra
BuildRequires:  intltool

Requires:       python3-pillow >= 2.0
Requires:       python3-cairo >= 1.10
Requires:       python3-gobject >= 3.0
Requires:       gettext >= 0.18

%description
PhotoCollage allows you to create photo collage posters. It assembles the
input photographs you give it to generate a big poster. Photos are arranged
to fill the whole poster, however you can influence the algorithm to change the
final layout. You can also set a custom border between photos, and save the
generated image in the resolution you want.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --root %{buildroot}
%find_lang %{name}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
        touch --no-create %{_datadir}/icons/hicolor &>/dev/null
        gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README.md LICENSE
%{python3_sitelib}/*
%{_bindir}/photocollage
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Mon Mar 02 2015 Adrien Vergé <adrienverge@gmail.com> - 1.3.0-1
- Update to new upstream version

* Tue Jan 13 2015 Adrien Vergé <adrienverge@gmail.com> - 1.2.2-1
- Update to new upstream version

* Thu Jan 01 2015 Adrien Vergé <adrienverge@gmail.com> - 1.2.1-1
- Update to new upstream version

* Wed Dec 31 2014 Adrien Vergé <adrienverge@gmail.com> - 1.2.0-2
- Fix outdated screenshot

* Tue Dec 30 2014 Adrien Vergé <adrienverge@gmail.com> - 1.2.0-1
- Update to new upstream version

* Sat Dec 13 2014 Adrien Vergé <adrienverge@gmail.com> - 1.1.1-1
- Update to new upstream version

* Wed Jun 18 2014 Adrien Vergé <adrienverge@gmail.com> - 1.1.0-1
- Update to new upstream version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Mar 21 2014 Adrien Vergé <adrienverge@gmail.com> - 1.0.2-1
- Fix a race condition and restrict image formats

* Thu Mar 20 2014 Adrien Vergé <adrienverge@gmail.com> - 1.0.1-1
- Add license headers in source files

* Wed Mar  5 2014 Adrien Vergé <adrienverge@gmail.com> - 1.0-1
- initial build
